package com.jpattern.orm;

import com.jpattern.orm.session.ISessionProvider;

public final class CurrentSessionProvider {

	private static ISessionProvider sessionProvider;

	private CurrentSessionProvider() {
	}
	
	static void setSessionProvider(ISessionProvider sessionProvider) {
		CurrentSessionProvider.sessionProvider = sessionProvider;
	}

	static ISessionProvider getSessionProvider() {
		return sessionProvider;
	}
	
}
